module-1/1-frontend-module-finish.yaml [4:132]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Parameters:
  BeaconSourceCIDR:
    Type: String
    Description: "IP address CIDR block that send events to the Beacon Servers. This must allow web site user browsers to access the beacon servers."
    Default: "0.0.0.0/0"
    MinLength: 9
    MaxLength: 18
    AllowedPattern: "(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})/(\\d{1,2})"
    ConstraintDescription: "must be a valid IP CIDR range of the form x.x.x.x/x."
  CorsOrig:
    Type: String
    Description: "This value will be returned by the API in the Access-Control-Allow-Origin header. A star (*) value will support any origin. We recommend specifying a specific origin (e.g. http://example.domain) to restrict cross-site access to your API."
    Default: "*"
  VpcCidr:
    Type: String
    Description: "CIDR block for new VPC for analytics beacon servers."
    Default: 10.0.0.0/23
  Subnet0Cidr:
    Type: String
    Description: "CIDR block for new VPC public subnet #1."
    Default: 10.0.0.0/24
  Subnet1Cidr:
    Type: String
    Description: "CIDR block for new VPC public subnet #2."
    Default: 10.0.1.0/24
  AZ0:
    Type: String
    Description: "Optional: Availability Zone number for public subnet #1."
    Default: 0
    AllowedValues:
      - 0
      - 1
      - 2
      - 3
      - 4
      - 5
  AZ1:
    Type: String
    Description: "Optional: Availability Zone number for public subnet #2."
    Default: 1
    AllowedValues:
      - 0
      - 1
      - 2
      - 3
      - 4
      - 5
  NodeSize:
    Type: String
    Description: "Number of requests per minute that each beacon node will support (50K = t2.medium, 100K = m5.large)."
    Default: 50K
    AllowedValues:
      - 50K
      - 100K
  AutoScalingMinSize:
    Type: Number
    Description: "Minimum number of beacon webservers (must be at least 2 for high availability)."
    Default: 2
    MinValue: 1
  AutoScalingMaxSize:
    Type: Number
    Description: "Maximum number of beacon webservers."
    Default: 6
    MinValue: 1
  CWDashboard:
    Type: String
    Description: "Create a CloudWatch dashboard for beacon server operational metrics?"
    Default: Yes
    AllowedValues:
      - Yes
      - No
  LatestAmiId:
    Type: 'AWS::SSM::Parameter::Value<AWS::EC2::Image::Id>'
    Default: '/aws/service/ami-amazon-linux-latest/amzn-ami-hvm-x86_64-gp2'

Metadata:
  AWS::CloudFormation::Interface:
    ParameterGroups:
      - Label:
          default: "Beacon Web Server Configuration"
        Parameters:
          - CWDashboard
          - BeaconSourceCIDR
          - CorsOrig
          - NodeSize
          - AutoScalingMinSize
          - AutoScalingMaxSize
      - Label:
          default: "Optional: VPC Configuration"
        Parameters:
          - VpcCidr
          - Subnet0Cidr
          - Subnet1Cidr
          - AZ0
          - AZ1
    ParameterLabels:
      CWDashboard:
        default: CloudWatch Dashboard
      BeaconSourceCIDR:
        default: Enable beacon events from
      CorsOrig:
        default: CORS Origin
      VpcCidr:
        default: Beacon Server VPC CIDR
      Subnet0Cidr:
        default: 1st Subnet Network
      Subnet1Cidr:
        default: 2nd Subnet Network
      AZ0:
        default: "1st Subnet AZ #"
      AZ1:
        default: "2nd Subnet AZ #"
      NodeSize:
        default: Node Requests/Min
      AutoScalingMinSize:
        default: Min Beacon Servers
      AutoScalingMaxSize:
        default: Max Beacon Servers

Mappings:
  Sizing:
    50K:
      InstanceType: t2.medium
      PacketsPerMinHigh: 200000
      PacketsPerMinLow: 80000
    100K:
      InstanceType: m5.large
      PacketsPerMinHigh: 500000
      PacketsPerMinLow: 200000
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



module-2/2-kinesis-analytics-module-completed.yaml [4:132]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Parameters:
  BeaconSourceCIDR:
    Type: String
    Description: "IP address CIDR block that send events to the Beacon Servers. This must allow web site user browsers to access the beacon servers."
    Default: "0.0.0.0/0"
    MinLength: 9
    MaxLength: 18
    AllowedPattern: "(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})\\.(\\d{1,3})/(\\d{1,2})"
    ConstraintDescription: "must be a valid IP CIDR range of the form x.x.x.x/x."
  CorsOrig:
    Type: String
    Description: "This value will be returned by the API in the Access-Control-Allow-Origin header. A star (*) value will support any origin. We recommend specifying a specific origin (e.g. http://example.domain) to restrict cross-site access to your API."
    Default: "*"
  VpcCidr:
    Type: String
    Description: "CIDR block for new VPC for analytics beacon servers."
    Default: 10.0.0.0/23
  Subnet0Cidr:
    Type: String
    Description: "CIDR block for new VPC public subnet #1."
    Default: 10.0.0.0/24
  Subnet1Cidr:
    Type: String
    Description: "CIDR block for new VPC public subnet #2."
    Default: 10.0.1.0/24
  AZ0:
    Type: String
    Description: "Optional: Availability Zone number for public subnet #1."
    Default: 0
    AllowedValues:
      - 0
      - 1
      - 2
      - 3
      - 4
      - 5
  AZ1:
    Type: String
    Description: "Optional: Availability Zone number for public subnet #2."
    Default: 1
    AllowedValues:
      - 0
      - 1
      - 2
      - 3
      - 4
      - 5
  NodeSize:
    Type: String
    Description: "Number of requests per minute that each beacon node will support (50K = t2.medium, 100K = m5.large)."
    Default: 50K
    AllowedValues:
      - 50K
      - 100K
  AutoScalingMinSize:
    Type: Number
    Description: "Minimum number of beacon webservers (must be at least 2 for high availability)."
    Default: 2
    MinValue: 1
  AutoScalingMaxSize:
    Type: Number
    Description: "Maximum number of beacon webservers."
    Default: 6
    MinValue: 1
  CWDashboard:
    Type: String
    Description: "Create a CloudWatch dashboard for beacon server operational metrics?"
    Default: Yes
    AllowedValues:
      - Yes
      - No
  LatestAmiId:
    Type: 'AWS::SSM::Parameter::Value<AWS::EC2::Image::Id>'
    Default: '/aws/service/ami-amazon-linux-latest/amzn-ami-hvm-x86_64-gp2'

Metadata:
  AWS::CloudFormation::Interface:
    ParameterGroups:
      - Label:
          default: "Beacon Web Server Configuration"
        Parameters:
          - CWDashboard
          - BeaconSourceCIDR
          - CorsOrig
          - NodeSize
          - AutoScalingMinSize
          - AutoScalingMaxSize
      - Label:
          default: "Optional: VPC Configuration"
        Parameters:
          - VpcCidr
          - Subnet0Cidr
          - Subnet1Cidr
          - AZ0
          - AZ1
    ParameterLabels:
      CWDashboard:
        default: CloudWatch Dashboard
      BeaconSourceCIDR:
        default: Enable beacon events from
      CorsOrig:
        default: CORS Origin
      VpcCidr:
        default: Beacon Server VPC CIDR
      Subnet0Cidr:
        default: 1st Subnet Network
      Subnet1Cidr:
        default: 2nd Subnet Network
      AZ0:
        default: "1st Subnet AZ #"
      AZ1:
        default: "2nd Subnet AZ #"
      NodeSize:
        default: Node Requests/Min
      AutoScalingMinSize:
        default: Min Beacon Servers
      AutoScalingMaxSize:
        default: Max Beacon Servers

Mappings:
  Sizing:
    50K:
      InstanceType: t2.medium
      PacketsPerMinHigh: 200000
      PacketsPerMinLow: 80000
    100K:
      InstanceType: m5.large
      PacketsPerMinHigh: 500000
      PacketsPerMinLow: 200000
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



